: Class ColoringAttributes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class ColoringAttributes

    java.lang.Object
      |
      +--javax.media.j3d.SceneGraphObject
            |
            +--javax.media.j3d.NodeComponent
                  |
                  +--javax.media.j3d.ColoringAttributes

public class ColoringAttributes
extends NodeComponent

The ColoringAttributes object defines attributes used in color selection and shading.

Field Summary
`static int` | `ALLOW_COLOR_READ` Specifies that this ColoringAttributes object allows reading its color component information.
`static int` | `ALLOW_COLOR_WRITE` Specifies that this ColoringAttributes object allows writing its color component information.
`static int` | `ALLOW_SHADE_MODEL_READ` Specifies that this ColoringAttributes object allows reading its shade model component information.
`static int` | `ALLOW_SHADE_MODEL_WRITE` Specifies that this ColoringAttributes object allows writing its shade model component information.
`static int` | `FASTEST` Use the fastest available method for shading.
`static int` | `NICEST` Use the nicest available method for shading.
`static int` | `SHADE_FLAT` Do not interpolate color across the primitive.
`static int` | `SHADE_GOURAUD` Smoothly interpolate the color at each vertex across the primitive.

Constructor Summary
`ColoringAttributes()` Constructs a ColoringAttributes node with default parameters.
`ColoringAttributes(Color3f color, int shadeModel)` Construct ColoringAttributes object with specified values.
`ColoringAttributes(float red, float green, float blue, int shadeModel)` Construct ColoringAttributes object with specified values.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Creates a new ColoringAttributes object.
`void` | `duplicateNodeComponent(NodeComponent originalNodeComponent)` Copies the information found in `originalNodeComponent` to the current node.
`void` | `getColor(Color3f color)` Gets the intrinsic color of this ColoringAttributes component object.
`int` | `getShadeModel()` Gets the shade mode for this ColoringAttributes component object.
`void` | `setColor(Color3f color)` Sets the intrinsic color of this ColoringAttributes component object.
`void` | `setColor(float r, float g, float b)` Sets the intrinsic color of this ColoringAttributes component object.
`void` | `setShadeModel(int shadeModel)` Sets the shade mode for this ColoringAttributes component object.
`java.lang.String` | `toString()` Returns a String representation of this ColoringAttributes object.

Methods inherited from class javax.media.j3d.NodeComponent
`getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, duplicateSceneGraphObject, getCapability, getUserData, isCompiled, isLive, setCapability, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALLOW_COLOR_READ

    public static final int ALLOW_COLOR_READ

  Specifies that this ColoringAttributes object allows reading its color component information.

### ALLOW_COLOR_WRITE

    public static final int ALLOW_COLOR_WRITE

  Specifies that this ColoringAttributes object allows writing its color component information.

### ALLOW_SHADE_MODEL_READ

    public static final int ALLOW_SHADE_MODEL_READ

  Specifies that this ColoringAttributes object allows reading its shade model component information.

### ALLOW_SHADE_MODEL_WRITE

    public static final int ALLOW_SHADE_MODEL_WRITE

  Specifies that this ColoringAttributes object allows writing its shade model component information.

### FASTEST

    public static final int FASTEST

  Use the fastest available method for shading.

### NICEST

    public static final int NICEST

  Use the nicest available method for shading.

### SHADE_FLAT

    public static final int SHADE_FLAT

  Do not interpolate color across the primitive.

### SHADE_GOURAUD

    public static final int SHADE_GOURAUD

  Smoothly interpolate the color at each vertex across the primitive.

Constructor Detail

### ColoringAttributes

    public ColoringAttributes()

  Constructs a ColoringAttributes node with default parameters. The default values are as follows:
  color = white (1,1,1)
  shade model = SHADE_GOURAUD

### ColoringAttributes

    public ColoringAttributes(Color3f color,
                              int shadeModel)

  Construct ColoringAttributes object with specified values.
  Parameters:
    `color` - the intrisic color.
    `shadeModel` - the shade model used.

### ColoringAttributes

    public ColoringAttributes(float red,
                              float green,
                              float blue,
                              int shadeModel)

  Construct ColoringAttributes object with specified values.
  Parameters:
    `red` - red component of the intrisic color.
    `green` - green component of the intrisic color.
    `blue` - blue component of the intrisic color.
    `shadeModel` - the shade model used.

Method Detail

### setColor

    public final void setColor(Color3f color)

  Sets the intrinsic color of this ColoringAttributes component object.
  Parameters:
    `color` - the color that is used when lighting is disabled or when material is null
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setColor

    public final void setColor(float r,
                               float g,
                               float b)

  Sets the intrinsic color of this ColoringAttributes component object. This color is used when lighting is disabled or when material is null.
  Parameters:
    `r` - the red component of the color
    `g` - the green component of the color
    `b` - the blue component of the color
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getColor

    public final void getColor(Color3f color)

  Gets the intrinsic color of this ColoringAttributes component object.
  Parameters:
    `color` - the vector that will receive color
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setShadeModel

    public final void setShadeModel(int shadeModel)

  Sets the shade mode for this ColoringAttributes component object.
  Parameters:
    `shadeModel` - the shade mode to be used; one of FASTEST, NICEST, SHADE_FLAT, or SHADE_GOURAUD
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getShadeModel

    public final int getShadeModel()

  Gets the shade mode for this ColoringAttributes component object.
  Returns:
    shadeModel the shade mode
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Creates a new ColoringAttributes object. Called from a Leaf node's `duplicateNode` method.
  Overrides:
    cloneNodeComponent in class NodeComponent
  Returns:
    a duplicate of the ColoringAttributes object.
  See Also:
    `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `Node.cloneTree()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### duplicateNodeComponent

    public void duplicateNodeComponent(NodeComponent originalNodeComponent)

  Copies the information found in `originalNodeComponent` to the current node. This routine is called as part of the `cloneNodeComponent` operation.
  Overrides:
    duplicateNodeComponent in class NodeComponent
  Parameters:
    `originalNodeComponent` - the node to duplicate.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `NodeComponent.duplicateNodeComponent(javax.media.j3d.NodeComponent)`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### toString

    public java.lang.String toString()

  Returns a String representation of this ColoringAttributes object. If the scene graph is live only those values with their Capability read bit set will be displayed.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD